=== library/CMakeLists.txt ===
add_subdirectory(base)
add_subdirectory(mysql.canvas)
add_subdirectory(cdbc)
add_subdirectory(forms)
add_subdirectory(grt)
add_subdirectory(mysql.parser)
add_subdirectory(python)
add_subdirectory(sshtunnel)
add_subdirectory(sql.parser)
