=== images/toolbar/CMakeLists.txt ===
set(IMAGE_FILES 
clear_output.png
debug_continue.png
debug_pause.png
debug_step.png
debug_step_into.png
debug_step_out.png
debug_stop.png
edit_table_templates.png
query_continue_on_error.png
query_stop_on_error.png
record_add.png
record_autosize.png
record_back.png
record_del.png
record_discard.png
record_edit.png
record_export.png
record_fetch_all.png
record_fetch_next.png
record_fetch_prev.png
record_first.png
record_import.png
record_last.png
record_next.png
record_refresh.png
record_save.png
record_sort_asc.png
record_sort_desc.png
record_sort_reset.png
record_wrap_vertical.png
snippet_add.png
snippet_clipboard.png
snippet_del.png
snippet_insert.png
snippet_use.png
tiny_align_h_left.png
tiny_align_h_left2.png
tiny_align_h_middle.png
tiny_align_h_middle2.png
tiny_align_h_right.png
tiny_align_h_right2.png
tiny_align_v_bottom.png
tiny_align_v_bottom2.png
tiny_align_v_middle.png
tiny_align_v_middle2.png
tiny_align_v_top.png
tiny_align_v_top2.png
tiny_grid.png
tiny_gridview.png
tiny_grtshell.png
tiny_hidesidebar.png
tiny_less_space.png
tiny_load.png
tiny_loadsql.png
tiny_lock.png
tiny_more_space.png
tiny_new.png
tiny_new_diagram.png
tiny_new_doc.png
tiny_new_routine.png
tiny_new_schema.png
tiny_new_script.png
tiny_new_table.png
tiny_new_view.png
tiny_open.png
tiny_redo.png
tiny_refresh.png
tiny_refresh_plugins.png
tiny_rollback.png
tiny_rollback_disabled.png
tiny_ruler.png
tiny_save.png
tiny_saveas.png
tiny_savesql.png
tiny_search.png
tiny_undo.png
wb-toolbar_automatic-help-off.png
wb-toolbar_automatic-help-on.png
wb-toolbar_manual-help.png
wb-toolbar_nav-back.png
wb-toolbar_nav-forward.png
wb_arrow.png
wb_db_routinegroup.png
wb_db_table.png
wb_db_view.png
wb_draw_ellipse.png
wb_draw_freehand.png
wb_draw_line.png
wb_draw_polygon.png
wb_draw_rect.png
wb_hand.png
wb_image.png
wb_layer.png
wb_magnifier.png
wb_note.png
wb_rel_11.png
wb_rel_11_nonid.png
wb_rel_1n.png
wb_rel_1n_nonid.png
wb_rel_1n_pick.png
wb_rel_nm.png
wb_rubber.png
wb_toolbar_pages_18x18.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)
