=== debian/changelog ===
mysql-workbench (6.3.8+dfsg-1build3) bionic; urgency=medium

  * Rebuild against new gdal-abi-2-2-3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Dec 2017 22:11:28 +0100

mysql-workbench (6.3.8+dfsg-1build2) bionic; urgency=medium

  * No-change rebuild against gdal-abi-2-2-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Nov 2017 20:26:59 +0000

mysql-workbench (6.3.8+dfsg-1build1) artful; urgency=medium

  * Rebuild against new gdal ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2017 13:04:29 +0200

mysql-workbench (6.3.8+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2016].
  * Removed obsolete "gtk.patch".
  * Added new "projloc.patch".
  * debhelper/compat to version 10.
  * Recommends: mysql-client --> default-mysql-client.
  * Standards-Version: 3.9.8;
  * Do not install menu and .xpm files;
    removed "imagemagick" from Build-Depends.
  * Build-Depends += "dh-python"; invoke dh_python2 with "--no-ext-rename".
  * Build-Depends: strict libmysqlcppconn-dev versioning (Closes: #844381).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 19 Nov 2016 08:09:03 +1100

mysql-workbench (6.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2015].
    + fixed "Unhandled exception on Data Export" (Closes: #822413).
    + fixed "don't open files with same name but difference locations"
      (Closes: #804774).
  * Switch to "default-libmysqlclient-dev"
    (Closes: #840786, #841584, #843457, #843887).
  * Modernised Vcs URLs; copyright format URL to HTTPS.
  * Removed traces of -dbg package.
  * New patches:
    + gtk.patch (Closes: #839356).
    + mariadb-build.patch
    + mariadb-version.patch
    + no-MYSQL_TYPE_JSON.patch
  * Removed obsolete "gcc5.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 14 Nov 2016 01:12:33 +1100
